/* SLIDESHOW STYLES */
.slideShowContainer {
    width: 100%;
    
    display: flex;
    justify-content: center;
    align-items: center;

}

.slideShow {
    width: 95%;
    height: auto;

    position: relative;
    overflow: hidden;

    border-radius: 5px;
}

/* TRACK */
.slideShowSideContainer {
    display: flex;

    width: 100%;

    transform:translateX(0%);
    transition:transform 500ms ease-in-out;
    will-change:transform;

    position: relative;
    z-index: 1;
}

/* SLIDES */
.slideShowSide {
    width: 100%;

    position: relative;

    flex: 0 0 100%;

    display: flex;
    justify-content: center;
    align-items: center;
}

.slideShowSide img {
    width: 100%;

    object-fit: cover;
}

/* QUICK ICONS */
.slideShowQuickIconsContainer {
    width: 100%;
    
    display: flex;
    justify-content: flex-end;
    align-items: center;

    gap: 1%;

    position: absolute;
    top: 3%;
    right: 2%;

    z-index: 5;
}

.slideShowQuickIcon {
    width: 10px;
    height: 10px;

    margin: 0%;

    border-radius: 999px;

    background-color: var(--color-menu-primary);

    cursor: pointer;
}

.slideShowQuickIcon.quickIconActive {
    background-color: var(--color-menu-secondary);
}

/* BOTTOM OVERLAY */
.slideShowBottom {
    position: absolute;
    left: -45px;
    right: -45px;
    bottom: -10px;

    z-index: 5;

    pointer-events: none;
}

.slideShowBottom img {
    width: 100%;
    height: 100%
}

/* ARROW OVERLAYS */
.slideShowButton {
    width: 8%;
    min-width: 34px;

    aspect-ratio: 1/1;

    display: grid;
    place-items: center;
    z-index: 20;

    position: absolute;
    top: 50%;

    transform: translateY(-50%);

    cursor: pointer;

    user-select: none;
}

#slideShowButtonLeft {
    left: -2%;
}

#slideShowButtonRight {
    right: -2%;
}

.slideShowButton img {
    width: 100%;
    height: 100%;

    display: block;

    object-fit: contain;
}